#sccs	"@(#)uts/kern/sys:init.h	1.3"

/*	Convergent Technologies - System V - May 1983	*/

extern int clkstart(),cinit(),binit(),iinit(),inoinit();
extern int finit();

#ifndef BASSLOCKING
extern int flckinit();
#endif

extern gdinit();
extern wvinit();
extern initkbd();
extern int bswinit(),exinit(),setupclock();
extern slotinit();
#ifdef PLP_0
extern lpinit();
#endif
#ifndef NOSTREAMS
#ifdef STAR_0
	extern qinit();
#ifdef URP_MOD	
	extern urp_init (), urp_release ();
#endif
#ifdef CC_MOD
	extern cc_init (), cc_release ();
#endif
#ifdef LB_MOD
	extern lb_init (), lb_release ();
#endif
#ifdef STARLAN
	extern sl_iinit ();
#endif	
#endif STAR_0
#endif NOSTREAMS

/*	Array containing the addresses of the various initializing	*/
/*	routines executed by "main" at boot time.			*/

int (*init_tbl[])() = {
	slotinit,
	inoinit,
	cinit,
	binit,
	setupclock,
	clkstart,	/* initialises the clock if poweron, otherwise
			   iinit calls setclk on reboot with the clock already
			   running */
	gdinit,
	finit,
	iinit,
#ifndef BASSLOCKING
	flckinit,
#endif
	bswinit,
#ifdef	PLP_0
	lpinit,
#endif
	wvinit,			/* this must come before wdinit */
	initkbd,		/* this must come before wdinit */
	/*wdinit,		The Window Driver is Loaded Separately */
#ifndef NOSTREAMS
#ifdef STAR_0
	qinit,
#ifdef URP_MOD	
	urp_init,
#endif
#ifdef CC_MOD
	cc_init,
#endif
#ifdef LB_MOD
	lb_init,
#endif
#ifdef STARLAN
	sl_iinit,
#endif	
#endif STAR_0
#endif NOSTREAMS
	0
};
