#sccs	"@(#)uts/kern/sys:slot.h	1.1"
/*
 * slot.h	5/14/85
 *  expansion slot definitions for UNIX PC
 */
#ifndef slot_h
#define slot_h

#define	IDBASE	0x3fff8		/* offset of id fields within slot */
#define NSLOTS	8		/* total # of expansion slots */

#define SLOT0	0xC00000
#define SLOT1	0xC40000
#define SLOT2	0xC80000
#define SLOT3	0xCC0000
#define SLOT4	0xD00000
#define SLOT5	0xD40000
#define SLOT6	0xD80000
#define SLOT7	0xDC0000

struct slot {
	unsigned char s_idlo, s_idhi;	/* board id */
	unsigned char s_chklo, s_chkhi;	/* checksum */
};

#ifdef KERNEL
extern struct slot slots[];
#endif

#endif slot_h
