#sccs	"@(#)inchead:Makepost.h	1.3"

.sh~.sh:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)

.h~.h:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)

.c~.c:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)

.S~.S:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)

.c~:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) $*.c -o $*

.c:
	$(CC) $(CFLAGS) $< -o $*

.c~.out:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) -c $*.c
	$(LD) $(LDFLAGS) $(CRT0) $*.o $(LIBC) $(CRT1) -o $*.out

.c.out:
	$(CC) $(CFLAGS) -c $<
	$(LD) $(LDFLAGS) $(CRT0) $*.o $(LIBC) $(CRT1) -o $*.out

.c~.s:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) -S $*.c
	rm -f $*.c

.c.s:
	$(CC) $(CFLAGS) -S $<

.s~.o:
	$(GET) $(GFLAGS) $<
	$(AS) $(ASFLAGS) $*.s -o $*.o
	-rm -f $*.s

.s.o:
	$(AS) $(ASFLAGS) $*.s -o $*.o

.y~.y:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)
.l~.l:
	-cd $(<D); $(GET) $(GFLAGS) $(<F)

.y~:
	$(GET) $(GFLAGS) $<
	yacc $*.y
	$(CC) $(CFLAGS) y.tab.c -o $*
	-rm -f y.tab.c

.y:
	yacc $*.y
	$(CC) $(CFLAGS) y.tab.c -o $*
	-rm -f y.tab.c
	
.y~.out:
	$(GET) $(GFLAGS) $<
	yacc $*.y
	$(CC) $(CFLAGS) -c y.tab.c
	-rm -f y.tab.c
	$(LD) $(LDFLAGS) $(CRT0) y.tab.o $(LIBC) $(CRT1) -o $*.out
	-rm  y.tab.o $*.y

.y.out:
	yacc $*.y
	$(CC) $(CFLAGS) -c y.tab.c
	-rm -f y.tab.c
	$(LD) $(LDFLAGS) $(CRT0) y.tab.o $(LIBC) $(CRT1) -o $*.out
	-rm y.tab.o

.S.o:
	$(CC) $(CFLAGS) -c $*.S

.S~.o:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) -c $*.S
	-rm -f $*.S

.S.a:
	$(CC) $(CFLAGS) -c $<
	$(AR) rv $@ $*.o

.S~.a:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) -c $*.S
	$(AR) rv $@ $*.o

.S:
	$(CC) $(CFLAGS) -c $*.S
	$(LD) $*.o $(LDFLAGS) -o $*

.S~:
	$(GET) $(GFLAGS) $<
	$(CC) $(CFLAGS) -c $*.S
	$(LD) $*.o $(LDFLAGS) -o $*

comall cominstall comclean comclobber comincludes:
	@if [ "$(SUBDIRS)" ] ; \
	then \
		T=`expr $@ : 'com\(.*\)'` ; \
		for D in `echo $(SUBDIRS)` ; \
		do \
			( \
			cd $$D; \
			echo Making $$D: $$T ; \
			$(MAKE) $$T ;\
			) \
		done; \
	fi


print_all:
	@echo "$(LPR)-ing `pwd`"
	@for D in s.*; \
	do \
		$(GET) -p -s $$D | pr -h "$$D"; \
	done | $(LPR);
	@if [ "$(SUBDIRS)" ] ; \
	then \
		for I in `echo $(SUBDIRS)` ; \
		do \
			( \
			cd $$D ; $(MAKE) print_all LPR="$(LPR)";\
			) \
		done; \
	fi

opr:
	$(MAKE) LPR="$(OPR)" print_all

