#sccs	"@(#)uts/kern/sys:syslocal.h	1.2"

/*	Convergent Technologies - System V - Sep 1984	*/

/*
 * valid 'cmds' for syslocal() sys call
 */
#define SYSL_SYSTEM		0	/* identify machine type */
#define SYSL_REBOOT		1	/* reboot system */
#define SYSL_APNUM		4	/* which AP # (returns 0) */
#define SYSL_TOTAPS		5	/* how many APs (returns 1) */
#define SYSL_KADDR		9	/* Kernel addresses (e.g. for ps ) */
#define SYSL_RDRTC		10	/* read real-time clock */
#define SYSL_WRTRTC		11	/* write real-time clock */
#define SYSL_LED		12	/* set/clear user LED (LED0) */
#define SYSL_MREBOOT		14	/* additional reboot (for Mini/Mega compatiblity) */
#define SYSL_ALLOCDRV		15	/* dynamic driver allocate */
#define SYSL_BINDDRV		16	/* dynamic driver bind */
#define SYSL_LFONT		17	/* load a font without a window */
#define SYSL_UFONT		18	/* unload a font */

/* values for SYSL_KADDR */
#define SLA_V		0	/* return struct var address */
#define SLA_PROC	1	/* return proc struct address */
#define SLA_TIME	3	/* time */
#define SLA_USRSTK	6	/* top of user stack */
#define SLA_USIGN	7	/* UNIX signiture */
#define	SLA_BLDDATE	8	/* build date string */
#define	SLA_BLDPWD	9	/* build directory string */
#define SLA_MEM		10	/* physical memory size */
#define SLA_BDEVCNT	11	/* max # of block devices */
#define SLA_CDEVCNT	12	/* max # of char devices */

/*
 * return values for syslocal(SYSL_SYSTEM)
 */
#define	SYSL_MITI	2
#define	SYSL_MINI	1
#define SYSL_MEGA	0
