#sccs	"@(#)uts/kern/sys:vmsystm.h	1.1"

/*	Convergent Technologies - System V - May 1983	*/

#ifndef vmsystm_h
#define vmsystm_h

/*
 * Miscellaneous virtual memory subsystem variables and structures.
 */

#ifdef KERNEL
extern unsigned long freemem;	/* remaining blocks of free memory */
int	avefree;		/* moving average of remaining free blocks */
int	avefree30;		/* 30 sec (avefree is 5 sec) moving average */
int	deficit;		/* estimate of needs of new swapped in procs */
int	nscan;			/* number of scans in last second */
extern int multprog;		/* current multiprogramming degree */
int	desscan;		/* desired pages scanned per second */

/* writable copies of tunables */
extern int maxpgio;		/* max paging i/o per sec before start swaps */
extern int maxslp;		/* max sleep time before very swappable */
extern int lotsfree;		/* max free before clock freezes */
extern int minfree;		/* minimum free pages before swapping begins */
extern int desfree;		/* no of pages to try to keep free via daemon */
extern int saferss;		/* no pages not to steal; decays with slptime */

extern struct pte *xptohpte();
#endif

#endif
